#!/bin/bash
set -e

# This script creates two files:
# src/utils/createagent.hpp
# src/utils/createagent.cpp
#

SCRIPT_DIR=$(dirname "$0")

# check if dehydrate is installed
if ! command -v dehydrate &> /dev/null; then
    echo "dehydrate could not be found - installing"
    curl -fsSL https://gitea.jde.nz/public/dehydrate/releases/download/latest/install.sh | bash
fi

SCRIPT_DIR=$(dirname "$0")

dehydrate "${SCRIPT_DIR}/agent" "${SCRIPT_DIR}/src/autogen"
