#ifndef ASSERT_HPP
#define ASSERT_HPP


#define ASSERT(condition, message) \
    if (!(condition)) { \
        std::cerr << "Assertion failed: " << message << std::endl; \
        std::exit(1); \
    }

#endif // ASSERT_HPP
